package com.sw.mes.fb.checkout.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.fb.aio.entity.SpellInfo;
import com.sw.mes.fb.checkout.dao.FbDataSpellInfoDao;
import com.sw.mes.fb.checkout.service.FbDataSpellInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class FbDataSpellInfoServiceImpl extends BaseServiceImpl<SpellInfo> implements FbDataSpellInfoService {
    FbDataSpellInfoDao dao;
	@Autowired
    public void setDao(FbDataSpellInfoDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public SpellInfo findBySectionNo(String no) {
        return dao.findBySectionNo(no);
    }

    @Override
    public void deleteBySectionNos(List<String> sectionNos) {
	    dao.deleteBySectionNos(sectionNos);
    }
}
